import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


public class LoginMenu extends BasicMenu implements Menu 
{
	public LoginMenu(Menu parent)
	{
		super(parent);
	}
	
	public boolean executeMenu(){
		/*try {
	        BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
	        String str = "";
	        String username;
	        String password;

	        System.out.println("Please type in your username:");
	        username = in.readLine();
	        System.out.println("Please type in your password:");
	        password = in.readLine();
	        if(HandleAuthorization.loginUser(username, password)) {
	        	System.out.println("Login SUCCESS!");
	        }
	        else {
	        	System.out.println("Login FAILED!");
	        }
	        parent.executeMenu();
	        return true;

	    } catch (IOException e) {
	    	System.out.println("An I/O error occured. Please try again.");
	    } catch (NumberFormatException e) {
	    	System.out.println("Please enter an integer value.");
	    }*/
		GUI.showLoginScreen();
		MenuSystem.setCurrentMenu(parent);
		return true;
	}
	
	public boolean processInput(String input)
	{
	    return true;
	}
}
